using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace StopWatch
{
	public partial class MainForm : Form
	{
		private Stopwatch _sw;

		public MainForm()
		{
			InitializeComponent();
			_sw = new Stopwatch();
		}

		private void uxStartButton_Click(object sender, EventArgs e)
		{
			if (_sw.IsRunning)
			{
				_sw.Stop();
				uxStartButton.Text = "Start";
				uxResetButton.Enabled = true;
			}
			else
			{
				_sw.Start();
				uxStartButton.Text = "Stop";
				uxResetButton.Enabled = false;
			}
		}

		private void uxStateTimer_Tick(object sender, EventArgs e)
		{
			double ts = _sw.Elapsed.TotalSeconds;
			double s = ts % 60;
			ts -= s;
			ts /= 60D;
			double m = ts % 60;
			ts -= m;
			ts /= 60D;
			double h = ts;
			uxElapsedTimeLabel.Text = h.ToString("0") + ":" + m.ToString("00") + ":" + s.ToString("00");
		}

		private void uxResetButton_Click(object sender, EventArgs e)
		{
			_sw.Reset();
		}
	}
}